# Backends
Controller backends for `chuniio-rs`.

To implement one, copy `dummy.rs` to `{controller}.rs` and starts working based on
the documentation. You can also look at existing implementations for reference.

Once you have finished, create a new feature with the controller name and add it to `lib.rs`:

```toml
# Cargo.toml
[features]
my_controller = []
```

```rust
// lib.rs
cfg_if::cfg_if! {
    if #[cfg(feature = "tasoller_v1")] {
        use crate::backends::tasoller_v1 as con_impl;
    } else if #[cfg(feature = "tasoller_v2")] {
        use crate::backends::tasoller_v2 as con_impl;
    } else if #[cfg(feature = "yubideck_v3")] {
        use crate::backends::yubideck_v3 as con_impl;
    } else if #[cfg(feature = "my_controller")] {
        use crate::backends::my_controller as con_impl;
    } else {
        use crate::backends::dummy as con_impl;
    }
}
```
